Jump to content
kymation

[Addon} Theme Switcher

Recommended Posts

Hi Kymation,

 

I am new to oscommerce and tried to install your theme switcher to v2.3.1. But the path in your pdf description i.e.

 

catalog/admin/includes/functions/modules/header_tags/theme_switcher.php

catalog/includes/languages/english/modules/header_tags/ht_theme_switcher.php

catalog/includes/modules/header_tags/ht_theme_switcher.php

 

I do not have this paths.

Any idea

thx

Eric

Share this post


Link to post
Share on other sites

If you don't have the last two , then you don't have osCommerce 2.3.1. You'll need to install 2.3.1 or not use Theme Switcher.

 

Regards

Jim


See my profile for a list of my addons and ways to get support.

Share this post


Link to post
Share on other sites

I am new at this. Installed a fresh 2.3.1 and have not made any changes. I uploaded Theme Switcher but do not see it listed as stated in the manual

"3.2 Module Admin

Navigate to your store's Admin panel and click on Modules in the left column. Find Front Page

in the list that just appeared and click on it."

 

Please help.

--Shilo

Share this post


Link to post
Share on other sites

The User's Manual for Theme Switcher doesn't contain that text. Do you have this Addon confused with the Modular Front Page addon?

 

Regards

Jim


See my profile for a list of my addons and ways to get support.

Share this post


Link to post
Share on other sites

Version 1.2 has been uploaded to the Addons area. This change adds Admin controls to set the version of Jquery and Jquery UI to better handle updates. You need the current version of both to ensure compatibility with new themes.

 

I have also revised the User's Manual to reflect the changes and include downloads of the current files.

 

If you are updating from a previous version, uninstall the Theme Switcher module, then upload catalog/includes/modules/theme_switcher.php and reinstall.

 

The download is available from my server until the official Addon gets approved.

 

Regards

Jim


See my profile for a list of my addons and ways to get support.

Share this post


Link to post
Share on other sites

Hi,

 

I tried to install 1.1 and i couldn't find 'catalog/admin/includes/functions/modules/header_tags' in my website's files* i could only get to the functions folder and in there there wasn't a modules folder ( my first problem) (i followed all the instructions including line 29). I decided to put theme_switcher.php in the admin/includes/functions folder anyway. I also saw there was a folder called header_tags in catalog/includes/functions/modules/header_tags but i decided to not put the theme_switcher.php in there. So i continued as normal and completed the installation. When i went to install theme switcher module i clicked to install the theme switcher module it had an error about not being able to find a file which i think was probably do to the first problem i encountered.

 

So i reverted to my backup and decided to give version 1.2 a shot but again i couldn't find that file'catalog/admin/includes/functions/modules/header_tags' in my website's files so it was the same problem. Also my second problem is in the install instructions you say to delete three lines. I have already deleted line 29 so please may you specify which lines need to be deleted (including line 29 if that is required to be deleted, if it isn't required please say so)

 

*(i dont know if the proper name is website files all i know is it is the stuff you access by file zilla)

P.S I am a total newbie and have no experience in code and all that scary stuffcrying.gif

 

Thankshappy.png


What could be better than a ...YODA PENGUIN :D

Share this post


Link to post
Share on other sites

You need to create the directory if it is not already there. This will happen automatically if you just upload the contents of the catalog/ folder to your shop's root. The error is caused by the file being in the wrong place. You can't just change the directory structure and expect it to work. The code needs to be told where the files are.

 

The user's manual tells you how to make the file changes, if you don't want to just replace the file. Please follow the instructions. I don't know what's in your files or what changes you may have already made, so I don't know which lines are in your file, or if they even exist on your site.

 

Regards

Jim


See my profile for a list of my addons and ways to get support.

Share this post


Link to post
Share on other sites

Hi again,

 

I have fire fox and i got the theme roller dev tool and put it in my bookmarks. When i use it on my websites homepage the theme doesn't change while i am changing the setting on the roll your own tab. So i don't get a preview before i save it. I have the latest firefox 6.0

 

Another problem is that after i have chosen a theme using theme switcher on the home page, the my account, checkout and cart contents buttons appear as black text with enabled as an hyperlink.blink.png

 

See it at buy n collect.com

 

Thanks


What could be better than a ...YODA PENGUIN :D

Share this post


Link to post
Share on other sites

This is an old bug that has been discussed many times in this thread. It is also covered in the current instructions. If you are not using the latest version (1.2) then please update your installation.

 

The problem with the buttons is likely due to an incompatible version of JqueryUI. The copy that ships with osCommerce is now outdated. The instructions (again, for the latest version) tell you how to deal with this.

 

Regards

Jim


See my profile for a list of my addons and ways to get support.

Share this post


Link to post
Share on other sites

think i did it all right and got this error in my addmin after adding the module and trying to edit.

 

Fatal error: Call to undefined function tep_cfg_pull_down_themes() in /home/wponline/public_html/devwp/wp-content/plugins/wp-online-store/admin/modules.php(278) : eval()'d code on line 1

 

 

fantastic plugin by the way.

 

We hope to include it in our new osCommerce WordPress plugin (if that's ok with you of course)


Garfield: WP Online Store. "The osCommerce plugin for WordPress"

Share this post


Link to post
Share on other sites

That function is in catalog/admin/includes/functions/modules/header_tags/theme_switcher.php. Did you forget to upload that file?

 

Theme Switcher is distributed under the GPL, so anything you do is fine as long as you adhere to the terms of the license.

 

Regards

Jim


See my profile for a list of my addons and ways to get support.

Share this post


Link to post
Share on other sites

thanks kymation. I checked and all files are in the right places.

 

one thing, our plugin although a true OSC 2.3.1 with same file structure...one difference, we don't have our root called "catalog" it the name of the plugin wp-0nline-store....could that be the issue? some kind of path thing? long shot, but i really want this to work.

Edited by garf90

Garfield: WP Online Store. "The osCommerce plugin for WordPress"

Share this post


Link to post
Share on other sites

There are three files named theme_switcher.php. Are you certain that each one is in the correct location?

 

The path is defined in the configure.php files. If those are correct, there should be no problem. Check for the location where the code is looking for the file -- it's in the part of the error message that you didn't post.

 

Regards

Jim


See my profile for a list of my addons and ways to get support.

Share this post


Link to post
Share on other sites

hmm?

 

i have 1 file called theme_switcher.php and 2 called ht_theme_switcher.php

 

also i did post the entire error message.

 

but our plugin involved edits to conf files and how they function and where they are... that might be the issue.

 

Thanks again for the help


Garfield: WP Online Store. "The osCommerce plugin for WordPress"

Share this post


Link to post
Share on other sites

This is an old bug that has been discussed many times in this thread. It is also covered in the current instructions. If you are not using the latest version (1.2) then please update your installation.

 

The problem with the buttons is likely due to an incompatible version of JqueryUI. The copy that ships with osCommerce is now outdated. The instructions (again, for the latest version) tell you how to deal with this.

 

Regards

Jim

 

Hi,

 

I am using 1.2 and followed the instructions to upgrade jquery and download a theme. I entered the version number based in the theme switcher settings based on the files in js directory (1.6.2 for jquery version, 1.8.16 for jquery ui version) now when i go on my website its just writing and my logo( see it at buyncollect.com). I haven't deleted any of the following files that seem to be for other versions :

ext/jquery/ui/redmond/jquery-ui-1.8.6.css

ext/jquery/ui/jquery-ui-1.8.6.min.js

ext/jquery/jquery-1.4.2.min.js

Should i?

 

Also in step 3.3 on part 15 you say to rename that file to jquery-ui- 1###.css with the the three hashes being the number, are you saying to put a 1 in front of the hashes(which are the version number)?

 

Thanks

Edited by blazingriver

What could be better than a ...YODA PENGUIN :D

Share this post


Link to post
Share on other sites

You found a bug in the 1.2 release. I'll have a new file uploaded in a few minutes.

 

Thanks for the bug report.

 

Regards

Jim


See my profile for a list of my addons and ways to get support.

Share this post


Link to post
Share on other sites

Version 1.2.1 has been uploaded to the Addons area and to my server. Please replace your includes/modules/header_tags/ht_theme_switcher.php if you are using an older version.

 

Regards

Jim

 

Almost forgot: The 1### is a typo. I meant to just have ###.

Edited by kymation

See my profile for a list of my addons and ways to get support.

Share this post


Link to post
Share on other sites

Version 1.2.1 has been uploaded to the Addons area and to my server. Please replace your includes/modules/header_tags/ht_theme_switcher.php if you are using an older version.

 

Regards

Jim

 

Almost forgot: The 1### is a typo. I meant to just have ###.

 

Thanks

It works great!smile.png


What could be better than a ...YODA PENGUIN :D

Share this post


Link to post
Share on other sites

i just went back to restart work and noticed newer version. downloaded and see this in manual:

 

2.2.2 Modify Files

Modify the file listed in 2.2.4. There are three lines that need to be removed from the file.

 

 

2.2.4 Modified Files

catalog/includes/template_top.php (Delete lines)

 

 

am i being completely blind or just dumb.. what 3 lines am i deleting, we have made extensive edits to template_top.php so out line may not match default template_top page

 

cherss

Garfield WP Online Store.


Garfield: WP Online Store. "The osCommerce plugin for WordPress"

Share this post


Link to post
Share on other sites

tried winmerge, just to many differences


Garfield: WP Online Store. "The osCommerce plugin for WordPress"

Share this post


Link to post
Share on other sites

These three, if you still have them:

 

<link rel="stylesheet" type="text/css" href="ext/jquery/ui/redmond/jquery-ui-1.8.6.css" />
<script type="text/javascript" src="ext/jquery/jquery-1.4.2.min.js"></script>
<script type="text/javascript" src="ext/jquery/ui/jquery-ui-1.8.6.min.js"></script>

 

I hate to specify lines like this since you may have edited that file and moved/removed the lines. They may no longer be together or in the same order.

 

Regards

Jim


See my profile for a list of my addons and ways to get support.

Share this post


Link to post
Share on other sites

These three, if you still have them:

 

<link rel="stylesheet" type="text/css" href="ext/jquery/ui/redmond/jquery-ui-1.8.6.css" />
<script type="text/javascript" src="ext/jquery/jquery-1.4.2.min.js"></script>
<script type="text/javascript" src="ext/jquery/ui/jquery-ui-1.8.6.min.js"></script>

 

I hate to specify lines like this since you may have edited that file and moved/removed the lines. They may no longer be together or in the same order.

 

Regards

Jim

 

 

understood and thank you.


Garfield: WP Online Store. "The osCommerce plugin for WordPress"

Share this post


Link to post
Share on other sites

Hello,

 

for starter this is a great add on, thanx for that. I have a problem.... Everything works, the themes change, all is working, but the fancybox is not working whene i turn on theme switch.

 

It should look like this:

 

th_Untitled-2.jpg

 

But when i turn on the Theme switch, everything changes and work great, but the pictures are now like this and the fancybox don't work :

 

th_Untitled-1-1.jpg

 

I instaled fresh copy of osc 2.3.1.

 

Does anybody have the same problem and do you know how to solve this.

 

Thanx

 

Zoran

Croatia

Edited by zrodi

Share this post


Link to post
Share on other sites

I can't tell without a link to the site. If I have to guess, I would say that one of your Javascript files is not loading. Check the page source for missing files.

 

Regards

Jim


See my profile for a list of my addons and ways to get support.

Share this post


Link to post
Share on other sites

Hi, thanx for trying to help. Here is a link of store : http://www.by-pass.hr/catalog/product_info.php/cPath/3_13/products_id/8 . I'm setting everything up, so don't mind the design. I can change all of the themes i have stored, everything works, but fancybox is not working. When i check source of the page, all links to .css and. js are working....

 

Thank you ,

 

Zoran

Edited by zrodi

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×